Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.RemoteContent class.
jala RemoteContent(url, method, storage)
Construct a new remote content handler.
parameters

String | url | The URL string of the remote site.
Integer | method | The method to retrieve the remote content.
File | storage | The cache directory.

methods

- setInterval(interval)

- get(key)

- getKeys()

- needsUpdate()

- update()

- clear()

- toString()

- valueOf()

inherits
setProxy(proxyString) from helma.Http
getProxy() from helma.Http
setCredentials(username, password) from helma.Http
setContent(stringOrObject) from helma.Http
setMethod(m) from helma.Http
getMethod() from helma.Http
setHeader(name, value) from helma.Http
getHeader(name) from helma.Http
setCookie(name, value) from helma.Http
getCookie(name) from helma.Http
setCookies(cookies) from helma.Http
getCookies() from helma.Http
setTimeout(timeout) from helma.Http
setReadTimeout(timeout) from helma.Http
getTimeout() from helma.Http
getReadTimeout() from helma.Http
setFollowRedirects(value) from helma.Http
getFollowRedirects() from helma.Http
setUserAgent(agent) from helma.Http
getUserAgent() from helma.Http
setBinaryMode(mode) from helma.Http
getBinaryMode() from helma.Http
setMaxResponseSize(Size) from helma.Http
getMaxResponseSize() from helma.Http
setResponseHandler(Response) from helma.Http
getResponseHandler() from helma.Http
getUrl(url, opt) from helma.Http
int jala. RemoteContent.HTTP
A constant representing the HTTP retrieval method.
int jala. RemoteContent.XMLRPC
A constant representing the XML-RPC retrieval method.
String jala. RemoteContent.SUFFIX
The default name of the cache directory.
File jala. RemoteContent.CACHEDIR
The default cache directory.
Methods
jala.RemoteContent. setInterval(interval)
Set the interval the remote content's cache is bound to be updated.
parameters

Number | interval | The interval value in milliseconds.

jala.RemoteContent. get(key)
Get an arbitrary property of the remote content.
parameters

String | key | The name of the property.

returns

| The value of the property.

jala.RemoteContent. getKeys()
Get all available property names.
returns

| The list of property names.

jala.RemoteContent. needsUpdate()
Tests whether the remote content needs to be updated.
returns

| True if the remote content needs to be updated.

jala.RemoteContent. update()
Get the updated and cached remote content.
returns

| The content as retrieved from the remote site.

jala.RemoteContent. clear()
Flushes (empties) the cached remote content.
jala.RemoteContent. toString()
Get a string representation of the remote content.
returns

| The remote content as string.

jala.RemoteContent. valueOf()
Get the value of the remote content.
returns

| The remote content including response header data.

jala. RemoteContent.flush(cache)
Remove all remote content from a file-based cache.
parameters

File | cache | An optional target directory.

jala. RemoteContent.forEach(callback, cache)
Apply a custom method on all remote content in a file-based cache.
parameters

Function | callback | The callback method to be executed for each remote content file.
File | cache | An optional target directory.

jala. RemoteContent.exec(callback, cache) deprecated Use {@link #forEach} instead.
Apply a custom method on all remote content in a file-based cache.
parameters

Function | callback | The callback method to be executed for each remote content file.
File | cache | An optional target directory.

Tue, 25 Nov 2008 16:50:14 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar